Bug 991278 - rpmlint emits bogus desktopfile-without-binary warning for desktop files with path in Exec
rpmlint emits bogus desktopfile-without-binary warning for desktop files with...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 00:34 EDT by Orion Poplawski
Modified: 2013-10-19 05:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: rpmlint-1.5-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 03:04:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-08-02 00:34:30 EDT
Description of problem:

[root@barry ~]# cat /usr/share/applications/x2godesktopsharing.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=X2Go Desktop Sharing
Exec=/usr/bin/x2godesktopsharing
Icon=x2godesktopsharing
StartupWMClass=x2godesktopsharing
X-Window-Icon=x2godesktopsharing
Terminal=false
Categories=Qt;KDE;Network;
StartupNotify=false
X-Desktop-File-Install-Version=0.21
[root@barry ~]# rpmlint x2godesktopsharing
x2godesktopsharing.x86_64: W: desktopfile-without-binary /usr/share/applications/x2godesktopsharing.desktop /usr/bin/x2godesktopsharing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[root@barry ~]# rpm -qf /usr/share/applications/x2godesktopsharing.desktop /usr/bin/x2godesktopsharing
x2godesktopsharing-3.1.1.0-3.fc19.x86_64
x2godesktopsharing-3.1.1.0-3.fc19.x86_64

According to http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#exec-variables full path is acceptable.

Version-Release number of selected component (if applicable):
rpmlint-1.5-1.fc19.noarch
Comment 1 Ville Skyttä 2013-08-02 16:15:41 EDT
Fixed upstream: http://sf.net/p/rpmlint/code/ci/f85186d/
Comment 2 Fedora Update System 2013-10-09 19:52:05 EDT
rpmlint-1.5-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.5-4.fc19
Comment 3 Fedora Update System 2013-10-09 19:52:26 EDT
rpmlint-1.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.5-4.fc20
Comment 4 Fedora Update System 2013-10-09 19:52:43 EDT
rpmlint-1.5-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmlint-1.5-4.fc18
Comment 5 Fedora Update System 2013-10-10 10:46:04 EDT
Package rpmlint-1.5-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.5-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18747/rpmlint-1.5-4.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-14 03:04:00 EDT
rpmlint-1.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-14 13:14:32 EDT
rpmlint-1.5-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-15 02:39:17 EDT
rpmlint-1.5-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-19 05:07:18 EDT
rpmlint-1.5-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.